/*
 * Chron
 * Copyright Jonathan Booth, Oct 13, 1996
 *
 * Last Update: Oct 13, 1996
 *
 * A rewrite of the X-windows clock 'Chron', except prettier.
 */

#ifndef APPLICATION_H
#define APPLICATION_H

#include <Application.h>
#include "Clock.h"
#include "Messages.h"

// Who are we?
const ulong APP_SIG = 'cclk';

// I'd like to know how to run, please?
class Application : public BApplication {
	DECLARE_CLASS_INFO(BApplication);
public:
	Application();
	~Application();
	virtual bool QuitRequested();
	virtual void ReadyToRun();
	virtual void AboutRequested();
	virtual void MessageReceived(BMessage *msg);
	virtual BPopUpMenu * MakeMainMenu();
	virtual void ReadPref();
	virtual void WritePref();
private:
	BPopUpMenu *main;	// Main menu
	ClockWindow *win;	// Windows
	BDirectory *Settings;// settings directory
	BFile *File;		// Where to read data
	bool SecStat;		// Seconds on or off?
	float OffsetX,OffsetY,
		  LenX,LenY;	// Window position
};

#endif