/*
 * Chron
 * Copyright Jonathan Booth, Oct 13, 1996
 *
 * Last Update: Oct 13, 1996
 *
 * A rewrite of the X-windows clock 'Chron', except prettier.
 */

#ifndef CLOCK_H
#define CLOCK_H

#include "Window.h"
#include <Menu.h>
#include <PopUpMenu.h>
#include <MenuItem.h>

class Face : public BBitmap
{
public:
	Face(BRect Area, color_space Mode);
	~Face();
private:
	BView *FaceImg;
};

class Clock : public BView
{
public:
	Clock(BRect Area, color_space Mode);
	~Clock();
	virtual void AttachedToWindow();
	virtual void Draw(BRect updateRect);
	virtual void UpdateImage();
	virtual void ChangeSec();
private:
	BBitmap *HandBit;	// Bitmap to speed updates
	BView *HandImg;		// Drawing image
	Face *face;			// The Face image
	BPoint Center;		// center of the fig
	float LenX,LenY;	// half of a side
	bool SecStat;		// Are we displaying the seconds
	bool RedrawFace;	// Do we need to redraw the face?
	int OldSec;			// Last second we updated
};

class ClockWindow : public Window
{
public:
	ClockWindow(BRect Area);
	~ClockWindow();
	virtual bool QuitRequested();
	virtual void ChangeSec();
	static long Update(void *arg);
	long Update();
	virtual void FrameResized(float new_w,float new_h);
private:
	bool flag;
	thread_id timer;
	sem_id lock;
	Clock *image;
};

#endif