/*
 * Chron
 * Copyright Jonathan Booth, Oct 13, 1996
 *
 * Last Update: Oct 13, 1996
 *
 * A rewrite of the X-windows clock 'Chron', except prettier.
 */

#include "Window.h"
#include "Messages.h"

// Constructor, actually opens the window
Window::Window(BRect area,
				   char *title,
				   window_type style,
				   ulong flags,
				   ulong workspaces)
		: BWindow(area,title,style,flags,workspaces)
{
	BMessage *msg = new BMessage(WIN_ADDED);
	msg->AddObject("window",(Window *)this);
	be_app->PostMessage(msg);
// Final devel comment this
//	SetDiscipline(FALSE);
}

// Destructor, makes it go away
Window::~Window()
{
}

// Window was told to close, inform application
// that it is quitting and app can decide what to
// do then
bool Window::QuitRequested()
{
	Hide();
	BMessage *msg = new BMessage(WIN_REMOVED);
	msg->AddObject("window",(Window *)this);
	be_app->PostMessage(msg);
	return TRUE;
}

void Window::FrameMoved(BPoint new_loc)
{
	BMessage *msg = new BMessage(WIN_MOVED);
	msg->AddFloat("new_x",new_loc.x);
	msg->AddFloat("new_y",new_loc.y);
	be_app->PostMessage(msg);
}

void Window::FrameResized(float new_w,float new_h)
{
	BMessage *msg = new BMessage(WIN_RESIZED);
	msg->AddFloat("new_w",new_w);
	msg->AddFloat("new_h",new_h);
	be_app->PostMessage(msg);
}